
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare.utils package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="nl2declare.test.utils package" href="nl2declare.test.utils.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-utils-package">
<h1>nl2declare.utils package<a class="headerlink" href="#nl2declare-utils-package" title="Permalink to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-nl2declare.utils.io">
<span id="nl2declare-utils-io-module"></span><h2>nl2declare.utils.io module<a class="headerlink" href="#module-nl2declare.utils.io" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.utils.io.load_cases">
<span class="sig-prename descclassname"><span class="pre">nl2declare.utils.io.</span></span><span class="sig-name descname"><span class="pre">load_cases</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">csv_path</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">list</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_model.DeclareModel" title="nl2declare.constructs.declare_model.DeclareModel"><span class="pre">nl2declare.constructs.declare_model.DeclareModel</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/nl2declare/utils/io.html#load_cases"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.io.load_cases" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.utils.io.load_csv">
<span class="sig-prename descclassname"><span class="pre">nl2declare.utils.io.</span></span><span class="sig-name descname"><span class="pre">load_csv</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">csv_path</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">list</span><span class="p"><span class="pre">[</span></span><span class="pre">list</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/nl2declare/utils/io.html#load_csv"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.io.load_csv" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-nl2declare.utils.word_classes">
<span id="nl2declare-utils-word-classes-module"></span><h2>nl2declare.utils.word_classes module<a class="headerlink" href="#module-nl2declare.utils.word_classes" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.utils.word_classes.</span></span><span class="sig-name descname"><span class="pre">WordClasses</span></span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses.is_end_verb">
<span class="sig-name descname"><span class="pre">is_end_verb</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">modal</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses.is_end_verb"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses.is_end_verb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses.is_flow_verb">
<span class="sig-name descname"><span class="pre">is_flow_verb</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">modal</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses.is_flow_verb"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses.is_flow_verb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses.is_mandatory">
<span class="sig-name descname"><span class="pre">is_mandatory</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">modal</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses.is_mandatory"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses.is_mandatory" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses.is_modal">
<span class="sig-name descname"><span class="pre">is_modal</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">modal</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses.is_modal"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses.is_modal" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses.is_optional">
<span class="sig-name descname"><span class="pre">is_optional</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">modal</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses.is_optional"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses.is_optional" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses.is_process_object">
<span class="sig-name descname"><span class="pre">is_process_object</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">modal</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses.is_process_object"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses.is_process_object" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses.is_reverse_clause">
<span class="sig-name descname"><span class="pre">is_reverse_clause</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">modal</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses.is_reverse_clause"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses.is_reverse_clause" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses.is_reverse_marker">
<span class="sig-name descname"><span class="pre">is_reverse_marker</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">modal</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses.is_reverse_marker"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses.is_reverse_marker" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.utils.word_classes.WordClasses.is_start_verb">
<span class="sig-name descname"><span class="pre">is_start_verb</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">modal</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/utils/word_classes.html#WordClasses.is_start_verb"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.utils.word_classes.WordClasses.is_start_verb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.utils">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare.utils" title="Permalink to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
  <li><a href="nl2declare.html">nl2declare package</a><ul>
      <li>Previous: <a href="nl2declare.test.utils.html" title="previous chapter">nl2declare.test.utils package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.utils.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>